## rox 2.11

=== ROX-Filer/src/Makefile ===
--- 
+++ 
@@ -7,5 +7,9 @@
 all:
 	cd ${BUILDDIR} && ${MAKE}
 
+# This ensures we get the header files for GTK 2.4
+with0launch:
+	0launch --source --main=/ROX-Filer/build --wrapper='make -C' ../ROX-Filer-src.xml
+
 clean:
 	cd ${BUILDDIR} && ${MAKE} clean
