=== debian/changelog ===
rox (1:2.11-5) unstable; urgency=medium

  * QA upload.
  * debian/control: Use valid Vcs-* fields. (Closes: #973784) 
  * debian/control: Do not suggest installing menu since the package
    has migrated from .menu to .desktop file.

 -- Boyuan Yang <byang@debian.org>  Sat, 06 Feb 2021 10:32:23 -0500

rox (1:2.11-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS under some locales (thx Vagrant Cascadian, closes: #979593).

 -- Adam Borowski <kilobyte@angband.pl>  Sat, 09 Jan 2021 03:48:49 +0100

rox (1:2.11-3) unstable; urgency=medium

  * QA upload.
  * Comment out outdated and down VCS.
  * Replace menu entry with .desktop (Closes: #647377, #541976)
  * Depend on sensible-utils.
  * Don't invoke update-mime-info manually (Closes: #860844)
  * Convert README-es to UTF-8.
  * Fix FTCBFS: (Closes: #905951, Helmut Grohne)
    + Pass --host to the ./configure wrapper.
    + Also export a suitable PKG_CONFIG.
  * Install Templates.ui (Closes: #546907)

 -- Adam Borowski <kilobyte@angband.pl>  Fri, 01 Jan 2021 04:39:36 +0100

rox (1:2.11-2) unstable; urgency=medium

  * Orphaning the package.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 28 Dec 2020 12:50:01 +0000

rox (1:2.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS. (Closes: #957770)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 08 May 2020 12:14:41 +0100

rox (1:2.11-1) unstable; urgency=low

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    (Closes: #670731)
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix maintainer-script-ignores-errors postinst (Lintian).

  [ Graham Inggs ]
  * Update to canonical Vcs fields and new collab-maint repository.
  * Remove build-depends on libxp-dev.
    (Closes: #623661)
  * Updated d/watch taken from QA, thanks Bart Martens.
  * New upstream.
    (Closes: #699801)
  * Update d/patches and remove build-depends on libglade2-dev.
  * Bump epoch so Ubuntu can sync automatically.
    (Closes: #734698)
  * Build with hardening and -Wl,--as-needed flags.
  * Machine-readable d/copyright file.
  * Bump Standards-Version to 3.9.5, no further changes.

  [ Francesco Paolo Lovergine ]
  * Reshuffled layout of debian/control. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 09 Mar 2014 15:28:17 +0100

rox (2.10-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: ld: support.o: undefined reference to symbol
    'floor@@GLIBC_2.2.5'":
    add patch gcc-4.8.dpatch to link against math lib.
    (Closes: #713627)

 -- gregor herrmann <gregoa@debian.org>  Sun, 14 Jul 2013 15:16:21 +0200

rox (2.10-3) unstable; urgency=low

  * Added asneeded.dpatch to fix a missing libdl linking. 
    Thanks Mahyuddin Susanto.
    (closes: #556327)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 07 Jun 2011 13:09:22 +0200

rox (2.10-2) unstable; urgency=low

  * Merged NMU: drop (unused) build-dep on libxtrap-dev, which is going
    to be removed. Thanks Zack. (closes: #559698)
  * Changed upstream pt_BR.po.
    (closes: #558326)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 16 Mar 2010 15:04:20 +0100

rox (2.10-1) unstable; urgency=low

  [ Tony Houghton ]
  * New upstream release.

  [ Francesco Paolo Lovergine ]
  * Added Vcs-* field for common git repository.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 01 Aug 2009 16:50:58 +0200

rox (2.9-2) unstable; urgency=low

  * Now applying nostrip.dpatch for true :-(

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 10 Jul 2009 17:05:14 +0200

rox (2.9-1) unstable; urgency=low

  * New upstream release: patchset not changed.
    (closes: #535602, #536396)
  * Debhelper level set to 7.
  * Menu section set to Applications/File Management which seems more appropriate.
  * Policy bumped to 3.8.2
  * Removed obsolete x-dev dependency.
    (closes: #515521)
  * The manual.sh script is not bash dependent, fixed sheebang line. 
  * Added nostrip.dpatch to remove upstream auto-stripping of rox binary.
    (closes: #437924)
  * Added a simple debopts management in debian/rules.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 09 Jul 2009 18:57:49 +0200

rox (2.8-1) unstable; urgency=low

  * New upstream release.
  * Fixed locale support in global.dpatch.
    (closes: #483530)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 24 Sep 2008 20:17:04 +0200

rox (2.7.1-1) unstable; urgency=low

  * New upstream release.
    (closes: #417240, #325332)
  * Policy bumped to 3.7.3 (no changes). 
  * Patchset revised. 
  * Added libglade2-dev build-dep.
  * Added zeroinstall-injector recommendation.
    (closes: #443079)
  * Debhelper level bumped to 5.
  * Added Homepage field in debian/control.
  * Changed maintainer address back to my address, because ROX team is inactive.
  * Menu section moved to Applications as in current policy.
  * Removed obsolete debhelper compatibilty declaration in debian/rules. 
  * debian/scripts/locale.sh changed to use current ROX locale structure.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 17 May 2008 12:33:46 +0200

rox (2.5-1) unstable; urgency=low

  * New upstream version.
  * Policy bumped to 3.7.2 without changes.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  3 Aug 2006 15:12:52 +0200

rox (2.4.1-1) unstable; urgency=low

  * New upstream release.
  * Removed listview.dpatch (merged upstream).
  * Removed superlfluous pm-dev build-dep.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 30 Jan 2006 17:30:12 +0100

rox (2.4-2) unstable; urgency=low

  * Added listview.dpatch. It will be integrated in 2.4.1
    (closes: #344678,#345361)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sat, 31 Dec 2005 09:39:33 +0100


