=== debian/rules ===
#!/usr/bin/make -f

PACKAGE  := $(shell dh_listpackages)
DESTDIR  := $(shell pwd)/debian/$(PACKAGE)
BUILDDIR := $(shell pwd)

include /usr/share/dpkg/architecture.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

configure: configure-stamp
configure-stamp:
	dh_testdir

	# do nothing 

	touch configure-stamp


build-arch: build
build-indep: build

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	ROX-Filer/AppRun --compile --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
	(cd ROX-Filer/src/po && ./dist)

	touch build-stamp

clean: myclean
myclean:
	dh_testdir
	dh_testroot
	( cd ${BUILDDIR}/ROX-Filer && rm -f ROX-Filer ROX-Filer.dbg && rm -rf build )
	rm -f build-stamp configure-stamp
	rm -rf $(DESTDIR)
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	cp -r ${BUILDDIR}/Choices ${DESTDIR}/usr/share/rox
	rm -rf ${DESTDIR}/usr/share/rox/Choices/MIME-info/
	cp ${BUILDDIR}/ROX-Filer/*.xml ${DESTDIR}/usr/share/rox

	cp ${BUILDDIR}/ROX-Filer/Help/Changes ${DESTDIR}/usr/share/doc/${PACKAGE}/changelog
	cp ${BUILDDIR}/ROX-Filer/Help/*html ${DESTDIR}/usr/share/doc/${PACKAGE}/html/.
	cp ${BUILDDIR}/ROX-Filer/style.css ${DESTDIR}/usr/share/doc/${PACKAGE}/html/.
	cp -r ${BUILDDIR}/ROX-Filer/images ${DESTDIR}/usr/share/rox
	cp -r ${BUILDDIR}/ROX-Filer/ROX ${DESTDIR}/usr/share/rox
	
	cp ${BUILDDIR}/ROX-Filer/ROX-Filer ${DESTDIR}/usr/bin/rox
	cp ${BUILDDIR}/ROX-Filer/.DirIcon ${DESTDIR}/usr/share/rox/.DirIcon
	cp ${BUILDDIR}/ROX-Filer/Templates.ui ${DESTDIR}/usr/share/rox/Templates.ui
	cp rox.xml ${DESTDIR}/usr/share/mime/packages

	/bin/sh debian/scripts/locale.sh
	/bin/sh debian/scripts/manual.sh

	LC_ALL=C.UTF-8 iconv -f iso-8859-1 <README-es >${DESTDIR}/usr/share/doc/${PACKAGE}/README-es

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman 
	dh_installchangelogs
	dh_install
	dh_strip
	dh_compress
	dh_fixperms
	dh_link usr/bin/rox usr/bin/rox-filer
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install myclean
