=== debian/watch ===
version=3
http://qa.debian.org/watch/sf.php/rox/ \
(?:|.*/)rox-filer[_\-](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
